#include <iostream>
#include <queue>
#include <string>
int main()
{
    int n;
    std::cin >> n;

    std::priority_queue<int, std::vector<int>, std::greater<int>> max0;
    std::priority_queue<int, std::vector<int>, std::greater<int>> max1;
    std::string a = "";
    std::string b = "";

    std::cout << a << "\n" << b;

    for (int i = 1; i <= n; i++) {
        max0.push(i);
    }
    for (int i = n + 1; i <= 2 * n; i++) {
        max1.push(i);
    }

    for (int i = 1; i <= 2*n; i++) {
        if (i % 2 == 1) {
            if (i <= n) {

                a += std::to_string(max0.top()) + " ";
                max0.pop();
            }
            else {
                b += std::to_string(max0.top()) + " ";
                max0.pop();
            }
        }
        else {
            if (i <= n) {

                a += std::to_string(max1.top()) + " ";
                max1.pop();
            }
            else {
                b += std::to_string(max1.top()) + " ";
                max1.pop();
            }
        }
    }
    std::cout << a << "\n" << b;
}